<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-domains-transfer-domainName%3APUT</id>
		<title>Accounts-accountNumber-domains-transfer-domainName:PUT - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-domains-transfer-domainName%3APUT"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-domains-transfer-domainName:PUT&amp;action=history"/>
		<updated>2026-04-25T17:53:50Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-domains-transfer-domainName:PUT&amp;diff=1302&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 93</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-domains-transfer-domainName:PUT&amp;diff=1302&amp;oldid=prev"/>
				<updated>2014-05-08T07:35:04Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 93&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 07:35, 8 May 2014&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-domains-transfer-domainName:PUT&amp;diff=1301&amp;oldid=prev</id>
		<title>Philip.rittscher at 00:33, 24 April 2014</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-domains-transfer-domainName:PUT&amp;diff=1301&amp;oldid=prev"/>
				<updated>2014-04-24T00:33:58Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= PUT /accounts/''{accountNumber}''/domains/transfers/''{domainName}'' =&lt;br /&gt;
A domain name transfer is a long running process that may run into several problems along they way. If a problem occurs, a domain transfer will block for up to 60 days. The reset call is made to retry the transfer based on some change that will remove the impediment to the transfer's progress. Possible reasons that a transfer will block are:&lt;br /&gt;
* Domain status at the registry prevented the transfer: for example the domain was locked, or in redemptionPeriod&lt;br /&gt;
* Wrong authInfo was supplied and the registry rejected the attempt&lt;br /&gt;
* Domain was registered for less that 60 days at the time the transfer was attempted&lt;br /&gt;
* The registrar or customer rejected the transfer request (NACK)&lt;br /&gt;
* The current authorized contact of the domain failed to respond to the request to authorize the transfer&lt;br /&gt;
* The domain was already pending transfer at the registry&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /accounts/''{accountNumber}''/domains/transfers/''{domainName}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
;accountNumber&lt;br /&gt;
: client account number&lt;br /&gt;
{{DomainTransfer}}&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
Content-type: application/json&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    'authInfo': '{authInfo}'&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Parameters ===&lt;br /&gt;
;authInfo - string &lt;br /&gt;
The authInfo passed in the request body is optional. If a value is passed it must be a valid authInfo string from 6 to 16 characters in length. If no authInfo is passed the previous value will be used. In the case where the previous value was not accepted by the registry, a new authInfo should be supplied or the existing registrar should update the authInfo to the value that was previously used. &lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;202 OK&lt;br /&gt;
: Domain transfer has been reset&lt;br /&gt;
&lt;br /&gt;
;404 Bad Request&lt;br /&gt;
: One of the required parameters accountNumber, domainName or authInfo was missing or invalid.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: No pending transfer order found for this domain.&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: The domain transfer does not belong to the given customer account.&lt;br /&gt;
&lt;br /&gt;
;409 Conflict&lt;br /&gt;
: Domain transfer is pending but is not in a state that can be reset. For example, the transfer was successfully sent to the registry and is awaiting a response from the current registrar. Use the call to get domain transfer status to see if the domain may be reset.&lt;br /&gt;
&lt;br /&gt;
;500 Internal Server Error&lt;br /&gt;
: An unknown error occurred.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
No body.&lt;br /&gt;
&lt;br /&gt;
=== Parameters ===&lt;br /&gt;
No response parameters.&lt;br /&gt;
&lt;br /&gt;
== Example of getting transfer status. ==&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/acct12345/domains/transfers/test.com&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
   'authInfo': 'mySecret'&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
204 OK&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Domain Name Registration API]]&lt;/div&gt;</summary>
		<author><name>Philip.rittscher</name></author>	</entry>

	</feed>